# Top Up

To top up your Ellipsis Balance, you need to follow the PayPal checkout flow to make a transaction with the right parameters with the Ellipsis Drive PayPal account.

The client id of the Ellipsis PayPal account is: \
\&#xNAN;*`Aa-0MSzbq7vWNzbGZgd0o34Mmvitdo5P0XhLpIw6uP6x7DgjuvttTthcr5GFc8ANaJ5ZiOpCRfJTKLpO`*

You need to create a purchase unit like in the below example. Make sure that the name of the item is 'Ellipsis Balance' and all 'currency\_code' are 'EUR' (both case sensitive).&#x20;

The `userId` will be the id of your Ellipsis account. `totalAmount` is the amount you want to top up in cents. The actual amount that will be added to your balance is the amount you paid minus the transaction fees from PayPal.

For example: If \[totalAmount] = 1000, it means you will make a payment of 10.00 euros to PayPal. The amount added to your Ellipsis balance will be 10.00 - PayPal fees.

You should receive your balance after a few minutes if the transaction was successful.

```json
purchase_units: [{
          amount: {
            currency_code: "EUR",
            value: [totalAmount]/100,
            breakdown: {
              item_total: { value: [totalAmount]/100, currency_code: 'EUR' }
            }
          },
          items: [
            {
              name: 'Ellipsis Balance',
              unit_amount: { value: 0.01, currency_code: 'EUR'},
              quantity: [totalAmount],
              description: [userId]
            }
          ],
        }]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/top-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
